import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class RobotWorld here.
 * 
 * @author (your name) 
 * @version (a version number or a date)
 */
public class RobotWorld extends World
{
    private int currentMaxTurnSpeed=2;
    private int currentLevel=1;

    /**
     * Constructor for objects of class RobotWorld.
     * 
     */
    public RobotWorld()

    {    
        // Create a new world with 600x400 cells with a cell size of 1x1 pixels.
        super(800, 600, 1);
        prepare();
    }
    
    public void increaseLevel()
    /**
     * increases level by 1
     */
    {
        currentLevel++;
    }
    public void setUpLevel()
    /**
     *  checks what level it is and performs what is written 
     */
    {
        if (currentLevel == 2) {
            currentMaxTurnSpeed++;
            addObject (new block(currentMaxTurnSpeed), 420, 332);
            addObject (new block_2(),253,577);
            addObject (new energy(),450,37);
            addObject (new energy(),110,300);
            addObject (new energy(),560,527);
            addObject (new energy(),730,327);
            addObject (new energy(),159,27);
            addObject (new energy(),162,157);
            addObject (new energy(),162,557);
            addObject (new energy(),405,384);
            addObject (new energy(),449,271);
            addObject (new block_2(),239,47);
            addObject (new bullet(),471,46);
            addObject (new enemy_2(),593,49);
            addObject (new balloon(),325,551);
            
        }
        else if (currentLevel == 3) {
          
             
            Greenfoot.stop();
            
        }
    }
    
    /**
     * Prepare the world for the start of the program.
     * That is: create the initial objects and add them to the world.
     */
    private void prepare()
    {
        block block = new block(currentMaxTurnSpeed);
        energy energy = new energy();
        addObject(energy,697,78);
        energy energy2 = new energy();
        addObject(energy2,450,78);
        energy energy3 = new energy();
        addObject(energy3,751,418);
        energy energy4 = new energy();
        addObject(energy4,376,568);
        energy energy5 = new energy();
        addObject(energy5,76,447);
        robot robot = new robot();
        addObject(robot,29,74);
        scorepanel scorepanel = new scorepanel();
        addObject(scorepanel,75,553);
        home home = new home();
        addObject(home,736,533);
        enemy enemy = new enemy();
        addObject(enemy,451,445);
        removeObject(enemy);
        enemy enemy2 = new enemy();
        addObject(enemy2,277,512);
        enemy2.setLocation(634,81);
        enemy2.setLocation(624,130);

        scorepanel.setLocation(746,48);
        energy.setLocation(573,124);
        scorepanel.setLocation(759,51);
        energy5.setLocation(143,494);

        enemy2.setLocation(44,553);

        block_2 block_2 = new block_2();
        addObject(block_2,183,45);
        block_2.setLocation(200,112);
        block_2.setLocation(97,49);
        robot.setLocation(36,47);
        block_2.setLocation(96,36);
        robot.setLocation(30,38);
        energy5.setLocation(144,204);
        wall wall = new wall();
        addObject(wall,102,102);
        wall wall2 = new wall();
        addObject(wall2,99,167);
        energy5.setLocation(561,219);
        wall wall3 = new wall();
        addObject(wall3,99,227);
        wall wall4 = new wall();
        addObject(wall4,160,230);
        wall wall5 = new wall();
        addObject(wall5,166,295);
        wall wall6 = new wall();
        addObject(wall6,110,360);
        wall5.setLocation(171,300);
        wall5.setLocation(171,307);
        wall wall7 = new wall();
        addObject(wall7,168,358);
        wall.setLocation(92,92);
        wall2.setLocation(89,147);
        wall3.setLocation(96,208);
        wall3.setLocation(96,205);
        wall4.setLocation(154,203);
        wall5.setLocation(156,254);
        wall7.setLocation(164,322);
        wall6.setLocation(109,315);
        wall6.setLocation(113,328);
        wall5.setLocation(168,255);
        wall6.setLocation(111,349);
        wall7.setLocation(169,354);
        wall6.setLocation(109,352);
        wall5.setLocation(170,288);
        wall2.setLocation(101,145);
        wall.setLocation(105,89);
        wall3.setLocation(113,205);
        wall4.setLocation(175,200);
        wall wall8 = new wall();
        addObject(wall8,107,412);
        wall wall9 = new wall();
        addObject(wall9,106,469);
        wall wall10 = new wall();
        addObject(wall10,104,529);
        wall10.setLocation(113,520);
        wall wall11 = new wall();
        addObject(wall11,171,90);
        wall wall12 = new wall();
        addObject(wall12,234,91);
        wall wall13 = new wall();
        addObject(wall13,237,33);
        scorepanel.setLocation(717,50);
        wall wall14 = new wall();
        addObject(wall14,255,571);
        wall wall15 = new wall();
        addObject(wall15,257,520);
        enemy2.setLocation(584,86);
        wall wall16 = new wall();
        addObject(wall16,258,472);
        wall wall17 = new wall();
        addObject(wall17,315,468);
        wall wall18 = new wall();
        addObject(wall18,314,422);
        wall wall19 = new wall();
        addObject(wall19,315,374);
        wall wall20 = new wall();
        addObject(wall20,315,325);
        wall wall21 = new wall();
        addObject(wall21,317,192);
        wall21.setLocation(315,204);
        wall21.setLocation(315,204);
        wall21.setLocation(315,204);
        wall wall22 = new wall();
        addObject(wall22,369,201);
        wall wall23 = new wall();
        addObject(wall23,374,147);
        wall wall24 = new wall();
        addObject(wall24,377,94);
        wall4.setLocation(174,224);
        wall3.setLocation(115,228);
        wall22.setLocation(389,201);
        wall23.setLocation(392,148);
        wall24.setLocation(405,98);
        wall21.setLocation(347,195);
        wall22.setLocation(406,183);
        wall23.setLocation(411,142);
        wall24.setLocation(410,80);
        wall24.setLocation(410,80);
        wall22.setLocation(409,199);
        wall23.setLocation(401,153);
        wall24.setLocation(404,101);
        wall21.setLocation(353,181);
        wall21.setLocation(345,188);
        wall21.setLocation(347,204);
        wall21.setLocation(356,197);
        scorepanel.setLocation(689,33);
        wall wall25 = new wall();
        addObject(wall25,678,28);
        scorepanel.setLocation(693,30);
        scorepanel.setLocation(596,195);
        wall25.setLocation(697,18);
        wall wall26 = new wall();
        addObject(wall26,698,62);
        scorepanel.setLocation(694,248);
        wall wall27 = new wall();
        addObject(wall27,764,49);
        scorepanel scorepanel2 = new scorepanel();
        addObject(scorepanel2,720,48);
        removeObject(scorepanel);
        wall wall28 = new wall();
        addObject(wall28,368,327);
        wall wall29 = new wall();
        addObject(wall29,421,329);
        wall wall30 = new wall();
        addObject(wall30,473,332);
        wall wall31 = new wall();
        addObject(wall31,474,378);
        wall31.setLocation(474,378);
        wall wall32 = new wall();
        addObject(wall32,478,427);
        wall wall33 = new wall();
        addObject(wall33,485,178);
        energy2.setLocation(649,188);
        wall wall34 = new wall();
        addObject(wall34,461,104);
        wall33.setLocation(523,99);
        wall33.setLocation(509,106);
        enemy2.setLocation(483,166);
        wall wall35 = new wall();
        addObject(wall35,674,258);
        enemy2.setLocation(605,351);
        wall35.setLocation(462,212);
        wall wall36 = new wall();
        addObject(wall36,520,156);
        wall wall37 = new wall();
        addObject(wall37,521,205);
        wall37.setLocation(521,203);
        wall37.setLocation(523,203);
        wall wall38 = new wall();
        addObject(wall38,669,132);
        wall wall39 = new wall();
        addObject(wall39,667,183);
        wall wall40 = new wall();
        addObject(wall40,666,234);
        wall wall41 = new wall();
        addObject(wall41,665,286);
        wall wall42 = new wall();
        addObject(wall42,661,336);
        wall wall43 = new wall();
        addObject(wall43,644,397);
        enemy2.setLocation(384,471);
        wall43.setLocation(587,333);
        wall43.setLocation(611,337);
        wall43.setLocation(661,387);
        home.setLocation(739,170);
        wall wall44 = new wall();
        addObject(wall44,657,449);
        wall wall45 = new wall();
        addObject(wall45,657,503);
        wall wall46 = new wall();
        addObject(wall46,480,576);
        energy.setLocation(580,281);
        energy2.setLocation(597,194);
        energy5.setLocation(597,237);
        energy2.setLocation(591,166);
        energy.setLocation(159,27);
        energy2.setLocation(450,37);
        energy5.setLocation(162,157);
        energy4.setLocation(405,384);
        energy3.setLocation(434,267);
        energy3.setLocation(449,271);
        wall35.setLocation(466,208);
        wall42.setLocation(663,326);
        wall41.setLocation(666,275);
        wall43.setLocation(668,386);
        wall44.setLocation(668,437);
        wall45.setLocation(673,499);
        wall35.setLocation(464,190);
        wall42.setLocation(652,325);
        removeObject(block_2);
        removeObject(energy4);
        removeObject(energy2);
        wall42.setLocation(667,330);
        wall41.setLocation(671,285);
        wall45.setLocation(676,492);
        wall4.setLocation(170,236);
        enemy2.setLocation(61,552);
        robot.setLocation(32,43);
        robot.setLocation(39,35);
        wall.setLocation(112,83);
        wall2.setLocation(116,135);
        enemy2.setLocation(72,528);
        enemy2.setLocation(43,552);
        wall2.setLocation(106,138);
        wall2.setLocation(107,152);
        wall2.setLocation(110,151);
        wall.setLocation(104,95);
        wall11.setLocation(169,97);
        bullet bullet = new bullet();
        addObject(bullet,503,48);
        bullet.setLocation(116,55);
        bullet.setLocation(471,46);
        enemy_2 enemy_2 = new enemy_2();
        addObject(enemy_2,593,49);
        bullet.setLocation(593,47);
        wall13.setLocation(310,116);
        wall11.setLocation(249,29);
        wall13.setLocation(167,88);
        wall11.setLocation(253,20);
        wall11.setLocation(234,24);
        wall13.setLocation(328,30);
        wall13.setLocation(187,89);
        energy3.setLocation(312,541);
        removeObject(enemy_2);
        removeObject(bullet);
        energy3.setLocation(398,408);
        robot.setLocation(740,270);
        robot.setLocation(271,199);
        wall11.setLocation(595,24);
        robot.setLocation(162,43);
        energy.setLocation(165,33);
        robot.setLocation(171,32);
        wall11.setLocation(576,36);
        wall11.setLocation(447,24);
        balloon balloon = new balloon();
        addObject(balloon,325,551);
        removeObject(balloon);
        balloon balloon2 = new balloon();
        addObject(balloon2,326,550);

        block_2 block_22 = new block_2();
        addObject(block_22,87,31);
        wall11.setLocation(408,35);
        energy.setLocation(230,27);
        robot.setLocation(754,283);
        energy.setLocation(155,30);
        wall11.setLocation(244,19);
        wall13.setLocation(172,88);
        robot.setLocation(768,347);
        energy3.setLocation(747,268);
        wall11.setLocation(477,32);
        robot.setLocation(219,35);
        robot.setLocation(230,21);
        robot.setLocation(27,39);
        robot.setLocation(150,73);
        robot.setLocation(754,360);
        wall11.setLocation(242,25);
        block_22.setLocation(317,147);
        wall11.setLocation(110,40);
        block_22.setLocation(239,47);
        robot.setLocation(392,542);
        removeObject(balloon2);
        removeObject(block_22);
        energy.setLocation(182,31);
        energy.setLocation(180,526);
        robot.setLocation(29,48);
        robot.setLocation(700,381);
        robot.setLocation(746,459);
        energy.setLocation(740,394);
        energy5.setLocation(734,335);
        removeObject(wall15);
        wall14.setLocation(261,586);
        removeObject(wall14);
        block_2 block_23 = new block_2();
        addObject(block_23,256,526);
        block_2 block_24 = new block_2();
        addObject(block_24,255,577);
        robot.setLocation(194,485);
        robot.setLocation(500,495);
        block_23.setLocation(253,527);
        removeObject(block_23);
        wall16.setLocation(264,478);
        wall wall47 = new wall();
        addObject(wall47,257,517);
        wall47.setLocation(261,526);
        robot.setLocation(27,75);
        energy3.setLocation(180,485);
        energy5.setLocation(188,152);
        energy.setLocation(581,547);
        robot.setLocation(741,316);
        energy5.setLocation(732,249);
        robot.setLocation(742,471);
        energy.setLocation(727,313);
        energy3.setLocation(731,394);
        robot.setLocation(40,88);
        energy5.setLocation(192,166);
        energy.setLocation(177,520);
        energy3.setLocation(586,278);
        wall23.setLocation(412,147);
        energy3.setLocation(458,38);
    }
}
